[arch-commits] CVS update of extra/lib/perl-dbd-sqlite (PKGBUILD)

Jan de Groot jgc at archlinux.org
Sun Sep 2 08:10:33 EDT 2007


    Date: Sunday, September 2, 2007 @ 08:10:33
  Author: jgc
    Path: /home/cvs-extra/extra/lib/perl-dbd-sqlite

Modified: PKGBUILD (1.3 -> 1.4)

upgpkg: perl-dbd-sqlite 1.13-3
use new perl methods, fix dependencies


----------+
 PKGBUILD |   30 +++++++++++++++---------------
 1 file changed, 15 insertions(+), 15 deletions(-)


Index: extra/lib/perl-dbd-sqlite/PKGBUILD
diff -u extra/lib/perl-dbd-sqlite/PKGBUILD:1.3 extra/lib/perl-dbd-sqlite/PKGBUILD:1.4
--- extra/lib/perl-dbd-sqlite/PKGBUILD:1.3	Sat Dec 16 17:24:10 2006
+++ extra/lib/perl-dbd-sqlite/PKGBUILD	Sun Sep  2 08:10:33 2007
@@ -2,28 +2,28 @@
 # Contributor: Generated by the CPANPLUS::Dist::Pacman plugin
 pkgname=perl-dbd-sqlite
 pkgver=1.13
-pkgrel=2
+pkgrel=3
 pkgdesc="Self contained RDBMS in a DBI driver"
 arch=(i686 x86_64)
-url="http://search.cpan.org/~MSERGEANT/DBD-SQLite-$pkgver.tar.gz"
-depends=('perl' 'perl-dbi')
-license="GPL"
-source=(http://www.cpan.org/authors/id/M/MS/MSERGEANT/DBD-SQLite-$pkgver.tar.gz) 
+license=('PerlArtistic')
+url="http://search.cpan.org/dist/DBD-SQLite"
+depends=('perl-dbi' 'sqlite3')
+options=(!emptydirs)
+source=(http://www.cpan.org/authors/id/M/MS/MSERGEANT/DBD-SQLite-$pkgver.tar.gz)
 md5sums=('d33e584f435d464a55946f58d4d4b9e2')
 
 build() {
   cd  $startdir/src/DBD-SQLite-$pkgver
-  eval `perl -V:archname`
   # Force module installation to "current" perl directories.
-  /usr/bin/perl Makefile.PL \
+  eval `perl -V:archname`
+  PERL_MM_USE_DEFAULT=1 perl Makefile.PL \
       INSTALLARCHLIB=/usr/lib/perl5/current/${archname} \
       INSTALLSITELIB=/usr/lib/perl5/site_perl/current \
-      INSTALLSITEARCH=/usr/lib/perl5/site_perl/current/${archname} \
-      USE_LOCAL_SQLITE=yes
-  /usr/bin/make || return 1
-  /usr/bin/make DESTDIR=$startdir/pkg install
-  # remove perllocal.pod, .packlist, and empty dirs:
-  /usr/bin/find $startdir/pkg -name '.packlist' -exec rm  '{}' \;
-  /usr/bin/find $startdir/pkg -name 'perllocal.pod' -exec rm  '{}' \;
-  /usr/bin/find $startdir/pkg -depth -type d -empty -exec rmdir '{}' \;
+      INSTALLSITEARCH=/usr/lib/perl5/site_perl/current/${archname}
+  make || return 1
+  make install DESTDIR=${startdir}/pkg
+
+  # remove perllocal.pod and .packlist
+  find ${startdir}/pkg -name perllocal.pod -delete
+  find ${startdir}/pkg -name .packlist -delete
 }




More information about the arch-commits mailing list